Page MenuHomeFreeBSD

Add Mk/Uses/lxqt.mk
ClosedPublic

Authored by olivierd on Jan 20 2016, 8:28 PM.

Details

Summary

In the forthcoming 2015Q4 report, I mention my work on the port of LXQt desktop.

The 0.10.0 release is functional, but it depends of some Plasma5 components, as I don't know when these ports will be in ports tree, I send only the lxqt USES framework. In the future only change will be PCManFM and libfm.

For more details, see wiki page.

Unofficial packages are available for 9.3 and 10.2. In my repository there're also some fixes for 2 plasma5 ports taken from the KDE devel repository (in 'plasma5' tag directory).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

olivierd updated this revision to Diff 12522.Jan 20 2016, 8:28 PM
olivierd retitled this revision from to Add Mk/Uses/lxqt.mk.
olivierd updated this object.
olivierd edited the test plan for this revision. (Show Details)
olivierd added reviewers: antoine, rakuco, swills.
olivierd added a project: Ports Committers.
rakuco added inline comments.Jan 21 2016, 6:12 PM
Mk/Uses/lxqt.mk
17 ↗(On Diff #12522)

It pays off to add a comment to those .endifs documenting the condition you're checking.

40 ↗(On Diff #12522)

You should probably document all available components in the comment in the beginning of the file.

45 ↗(On Diff #12522)

It's a good idea to keep this list of declarations sorted, especially as you add more components in the future.

71 ↗(On Diff #12522)

Wasn't the preferred idiom .if empty(_USE_LXQT_ALL:M${comp})?

72 ↗(On Diff #12522)

I think you need .else otherwise the component will still be added to _USE_LXQT.

81 ↗(On Diff #12522)

Do you intend to support foo_build and foo_run as component names? If so, you need to process those here too (see how bsd.qt.mk and Uses/pyqt.mk do it).

100 ↗(On Diff #12522)

If this is a variable in the CMake code, can you just pass -DCMAKE_INSTALL_MANDIR=/right/path in CMAKE_ARGS?

olivierd updated this revision to Diff 12594.Jan 22 2016, 2:41 PM

Update Mk/Uses/lxqt.mk after comments from rakuco@:

  • Add description of each LXQt components
  • Sort components

I prefer to keep (at the moment) libfm here, but for the next release of PCManFM, the Qt bindings of libfm will be standalone library (not anymore part of PCManFM) and so libfm will be removed.

  • Fix conditional block
  • Replace man-post-patch target by CMAKE_INSTALL_MANDIR option

About *_build and *_run I would like to avoid using them (I intent to keep lxqt framework as simple as possible).

olivierd updated this revision to Diff 12691.Jan 25 2016, 4:45 PM

Fix typo, otherwise poudriere complains.

mat added a subscriber: mat.Jan 25 2016, 5:45 PM
mat added inline comments.
Mk/Uses/lxqt.mk
47 ↗(On Diff #12691)

MANDIRS contains a list of directories, for example, if a port USES=perl5:

$ make -V MANDIRS
/usr/local/lib/perl5/site_perl/man /usr/local/man

So this feels flimsy

rakuco edited edge metadata.Jan 25 2016, 8:17 PM

I keep getting "context not available" for most of the patch. Is there an option I'm too dumb to notice?

Mk/Uses/lxqt.mk
47 ↗(On Diff #12691)

Yeah, you probably want ${MANPREFIX}/man instead.

mat added a comment.Jan 25 2016, 10:33 PM

I keep getting "context not available" for most of the patch. Is there an option I'm too dumb to notice?

Nope, the patch was probably uploaded from a simple svn diff and it lacks context, to get more context, one needs to do like arc is doing, and upload the output of something like svn diff --diff-cmd=diff -x -U9999

My apologies if this is not the right place to mention this, but I am trying to run the 10.2 binary port of lxqt and I get the following fault when I startx:

/usr/local/bin/lxqt-session: Undefined symbol "_ZN6QDebug9putStringEPK5QCharm"

and then I get dumped back to console. I also tried doing a deinstall and following instructions for building from ports, but that fails during QT5 build. This FreeBSD install is new in a VM with updates applied.

Thank you for you work on this.

Jeff

rakuco added a comment.Mar 6 2016, 3:51 PM

My apologies if this is not the right place to mention this, but I am trying to run the 10.2 binary port of lxqt and I get the following fault when I startx:
/usr/local/bin/lxqt-session: Undefined symbol "_ZN6QDebug9putStringEPK5QCharm"
and then I get dumped back to console. I also tried doing a deinstall and following instructions for building from ports, but that fails during QT5 build. This FreeBSD install is new in a VM with updates applied.

Hi,

I'm afraid this is not the best place to get your problem solved: for bug reports, please use https://bugs.freebsd.org, this review request is only tracking the addition of this new file, and I doubt it would solve your issue anyway. In this specific case, it would be good for you to also attach your QT5 build log to the bug report.

olivierd updated this revision to Diff 21436.Oct 17 2016, 6:57 AM
olivierd edited edge metadata.

New diff with support of LXQt 0.11.0.

  • Remove globally LICENSE blob (now in each port to avoid warning)
  • Remove terminal widget library
  • Adjust changes in libfmqt and pcmanfm-qt

New CMake argument, PULL_TRANSLATIONS avoid to fetch translation files through git during build step.

mat added a comment.Oct 17 2016, 12:52 PM

The latest diff is strange.

First, looks like you uploaded a diff manually (please use arcanist, or at least, generate it the same way it does, svn diff --diff-cmd=diff -x -U9999 or git diff -U9999)
Then, as it is a new file, and unless is has been svn mv'ed (which should show here) the left side should be empty and the whole file should be on the right side.

This revision was automatically updated to reflect the committed changes.